## org.jfree.chart.ui
Class RainbowPalette

    java.lang.Object
      org.jfree.chart.ui.ColorPalette
          org.jfree.chart.ui.RainbowPalette

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class RainbowPalette
extends ColorPalette
implements java.io.Serializable

Contains the data to constuct an 8-bit rainbow palette This come from an old application which ran on 8-bit graphics device. Thus indexes 0 and 1 were preserved for rendering white and black respectively.

Author:
  David M. O'Donnell
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.ui.ColorPalette
`b, g, inverse, log10, logscale, maxZ, minZ, paletteName, r, stepped, tickValues`

Constructor Summary
`RainbowPalette()` Default constructor.

Method Summary
`void` `initialize()` Intializes the palettes indexes

Methods inherited from class org.jfree.chart.ui.ColorPalette
`clone, equals, getColor, getColor, getColorLinear, getColorLog, getMaxZ, getMinZ, getPaint, getPaletteName, getTickValues, hashCode, invertPalette, isInverse, isLogscale, isStepped, setInverse, setLogscale, setMaxZ, setMinZ, setPaletteName, setStepped, setTickValues, setTickValues`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RainbowPalette

    public RainbowPalette()

  Default constructor.

Method Detail

### initialize

    public void initialize()

  Intializes the palettes indexes

  Specified by:
    `initialize` in class `ColorPalette`